curl --request POST \
--url https://api.orderly.org/v1/batch-order \
--header 'Content-Type: application/json' \
--header 'orderly-account-id: <orderly-account-id>' \
--header 'orderly-key: <orderly-key>' \
--header 'orderly-signature: <orderly-signature>' \
--header 'orderly-timestamp: <orderly-timestamp>' \
--data '
{
"orders": [
{
"symbol": "<string>",
"order_type": "<string>",
"side": "<string>",
"client_order_id": "<string>",
"order_price": 123,
"order_quantity": 123,
"order_amount": 123,
"visible_quantity": 123,
"order_tag": "enum:broker_b:GRID_PRO"
}
]
}
'import requests
url = "https://api.orderly.org/v1/batch-order"
payload = { "orders": [
{
"symbol": "<string>",
"order_type": "<string>",
"side": "<string>",
"client_order_id": "<string>",
"order_price": 123,
"order_quantity": 123,
"order_amount": 123,
"visible_quantity": 123,
"order_tag": "enum:broker_b:GRID_PRO"
}
] }
headers = {
"orderly-timestamp": "<orderly-timestamp>",
"orderly-account-id": "<orderly-account-id>",
"orderly-key": "<orderly-key>",
"orderly-signature": "<orderly-signature>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'orderly-timestamp': '<orderly-timestamp>',
'orderly-account-id': '<orderly-account-id>',
'orderly-key': '<orderly-key>',
'orderly-signature': '<orderly-signature>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
orders: [
{
symbol: '<string>',
order_type: '<string>',
side: '<string>',
client_order_id: '<string>',
order_price: 123,
order_quantity: 123,
order_amount: 123,
visible_quantity: 123,
order_tag: 'enum:broker_b:GRID_PRO'
}
]
})
};
fetch('https://api.orderly.org/v1/batch-order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"rows": [
{
"order_id": 13,
"client_order_id": "testclientid",
"order_type": "LIMIT",
"order_price": 100.12,
"order_quantity": 0.987654,
"error_message": "none"
}
]
},
"timestamp": 1702989203989
}Batch create order
Limit: 1 request per 1 second
POST /v1/batch-order
Creates up to 10 orders in one request. Send the orders in the orders JSON array. Each order in the request counts as one order toward the overall create order rate limit.
Reduce-only limitation: POST /v1/batch-order does not support or apply reduce_only. Do not include reduce_only in a batch order item. If reduce-only execution is required, submit each order separately using POST /v1/order with reduce_only: true. Without this constraint, an order may increase a position instead of reducing it.
Note: This endpoint requires trading scope in orderly key.
Headers
Timestamp of the signed request in milliseconds.
Account ID of the authenticated account.
Public orderly key used to sign the request.
Signature of the request payload generated with the orderly key.
Use this parameter to control the timeout threshold for placing order, unit in miliseconds
Body
reduce_only is not supported or applied to batch order items. Use POST /v1/order with reduce_only: true when reduce-only execution is required.
Show child attributes
Show child attributes